%define upstream_name	 Net-SCP
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Net::SSH)
BuildRequires:	perl(String::ShellQuote)
BuildArch:	noarch


%description
Simple wrappers around ssh and scp commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%check
make test

%files
%doc README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1496007
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-8.mga7
+ Revision: 1269982
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1031317
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 940569
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 748119
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 513533
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 370861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 32264
- mageia rebuild
- imported package perl-Net-SCP


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 404243
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.08-4mdv2009.0
+ Revision: 258104
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.08-3mdv2009.0
+ Revision: 246170
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.1
+ Revision: 104481
- update to new version 0.08

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-7mdv2008.0
+ Revision: 86709
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-6mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-5mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Mon Jun 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-4mdk 
- better url
- drop useless empty directories
- spec cleanup
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-1mdk
- new version
- rpmbuildupdate aware
- dir ownership
- no more explicit dependencies, let spec-helper do its job

